echo off

cls
set DESTDIR=%WEBDIR%\Algo-S2\03-Tableaux
set SRCDIR=%WEBDIR%\Algo-S2\03-Tableaux
set COLORNAMES=006600
set COLORTYPES=993399
set COLORINSTR=990000
set COLORCMNTS=888833
set COLORSTRCT=118888

echo ------------------------------------------------------------

set SRCFILE=TD

set CIBLE=GenerationTableauReel
echo %CIBLE%.lda
substitution4 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.lda -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -gColorationLDAExceptions.txt -h%COLORNAMES% -mColorationLDANames.txt -n%COLORNAMES% -mColorationLDATypes.txt -n%COLORTYPES% -mColorationLDAInstructions.txt -n%COLORINSTR% -c{-} -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

echo ------------------------------------------------------------

set SRCFILE=TD-Correction

set CIBLE=GenerationTableauReel
echo %CIBLE%.lda
substitution4 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.lda -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -gColorationLDAExceptions.txt -h%COLORNAMES% -mColorationLDANames.txt -n%COLORNAMES% -mColorationLDATypes.txt -n%COLORTYPES% -mColorationLDAInstructions.txt -n%COLORINSTR% -c{-} -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=AffichageTableauSeuils
echo %CIBLE%.lda
substitution4 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.lda -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -gColorationLDAExceptions.txt -h%COLORNAMES% -mColorationLDANames.txt -n%COLORNAMES% -mColorationLDATypes.txt -n%COLORTYPES% -mColorationLDAInstructions.txt -n%COLORINSTR% -c{-} -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=MoyenneTableau
echo %CIBLE%.lda
substitution4 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.lda -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -gColorationLDAExceptions.txt -h%COLORNAMES% -mColorationLDANames.txt -n%COLORNAMES% -mColorationLDATypes.txt -n%COLORTYPES% -mColorationLDAInstructions.txt -n%COLORINSTR% -c{-} -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=NombreValeursInferieuresLimite
echo %CIBLE%.lda
substitution4 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.lda -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -gColorationLDAExceptions.txt -h%COLORNAMES% -mColorationLDANames.txt -n%COLORNAMES% -mColorationLDATypes.txt -n%COLORTYPES% -mColorationLDAInstructions.txt -n%COLORINSTR% -c{-} -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=ClassificationTableau
echo %CIBLE%.lda
substitution4 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.lda -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -gColorationLDAExceptions.txt -h%COLORNAMES% -mColorationLDANames.txt -n%COLORNAMES% -mColorationLDATypes.txt -n%COLORTYPES% -mColorationLDAInstructions.txt -n%COLORINSTR% -c{-} -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=FonctionsGenerationTableau
echo %CIBLE%.lda
substitution4 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.lda -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -gColorationLDAExceptions.txt -h%COLORNAMES% -mColorationLDANames.txt -n%COLORNAMES% -mColorationLDATypes.txt -n%COLORTYPES% -mColorationLDAInstructions.txt -n%COLORINSTR% -c{-} -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=FonctionNombreValeursInferieuresLimite
echo %CIBLE%.lda
substitution4 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.lda -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -gColorationLDAExceptions.txt -h%COLORNAMES% -mColorationLDANames.txt -n%COLORNAMES% -mColorationLDATypes.txt -n%COLORTYPES% -mColorationLDAInstructions.txt -n%COLORINSTR% -c{-} -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=FonctionClassificationTableau
echo %CIBLE%.lda
substitution4 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.lda -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -gColorationLDAExceptions.txt -h%COLORNAMES% -mColorationLDANames.txt -n%COLORNAMES% -mColorationLDATypes.txt -n%COLORTYPES% -mColorationLDAInstructions.txt -n%COLORINSTR% -c{-} -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=FusionTableaux
echo %CIBLE%.lda
substitution4 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.lda -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -gColorationLDAExceptions.txt -h%COLORNAMES% -mColorationLDANames.txt -n%COLORNAMES% -mColorationLDATypes.txt -n%COLORTYPES% -mColorationLDAInstructions.txt -n%COLORINSTR% -c{-} -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=TableauSommets2D
echo %CIBLE%.lda
substitution4 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.lda -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -gColorationLDAExceptions.txt -h%COLORNAMES% -mColorationLDANames.txt -n%COLORNAMES% -mColorationLDATypes.txt -n%COLORTYPES% -mColorationLDAInstructions.txt -n%COLORINSTR% -c{-} -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=BarycentreNuageSommets3D
echo %CIBLE%.lda
substitution4 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.lda -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -gColorationLDAExceptions.txt -h%COLORNAMES% -mColorationLDANames.txt -n%COLORNAMES% -mColorationLDATypes.txt -n%COLORTYPES% -mColorationLDAInstructions.txt -n%COLORINSTR% -c{-} -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=EchantillonFraisesTagada
echo %CIBLE%.lda
substitution4 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.lda -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -gColorationLDAExceptions.txt -h%COLORNAMES% -mColorationLDANames.txt -n%COLORNAMES% -mColorationLDATypes.txt -n%COLORTYPES% -mColorationLDAInstructions.txt -n%COLORINSTR% -c{-} -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=CoefficientCorrelationLineaire
echo %CIBLE%.lda
substitution4 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.lda -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -gColorationLDAExceptions.txt -h%COLORNAMES% -mColorationLDANames.txt -n%COLORNAMES% -mColorationLDATypes.txt -n%COLORTYPES% -mColorationLDAInstructions.txt -n%COLORINSTR% -c{-} -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=EnsembleDeChainesDeCaracteres
echo %CIBLE%.lda
substitution4 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.lda -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -gColorationLDAExceptions.txt -h%COLORNAMES% -mColorationLDANames.txt -n%COLORNAMES% -mColorationLDATypes.txt -n%COLORTYPES% -mColorationLDAInstructions.txt -n%COLORINSTR% -c{-} -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

echo ------------------------------------------------------------

set SRCFILE=TP-Correction

set CIBLE=AffichageTableauSeuils
echo %CIBLE%.java
substitution5 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.java -r -sp2 -ns -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -mColorationJavaNames.txt -n%COLORNAMES% -mColorationJavaTypes.txt -n%COLORTYPES% -mColorationJavaInstructions.txt -n%COLORINSTR% -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=MoyenneTableau
echo %CIBLE%.java
substitution5 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.java -r -sp2 -ns -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -mColorationJavaNames.txt -n%COLORNAMES% -mColorationJavaTypes.txt -n%COLORTYPES% -mColorationJavaInstructions.txt -n%COLORINSTR% -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=NombreValeursInferieuresLimite
echo %CIBLE%.java
substitution5 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.java -r -sp2 -ns -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -mColorationJavaNames.txt -n%COLORNAMES% -mColorationJavaTypes.txt -n%COLORTYPES% -mColorationJavaInstructions.txt -n%COLORINSTR% -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=ClassificationTableau
echo %CIBLE%.java
substitution5 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.java -r -sp2 -ns -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -mColorationJavaNames.txt -n%COLORNAMES% -mColorationJavaTypes.txt -n%COLORTYPES% -mColorationJavaInstructions.txt -n%COLORINSTR% -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=FonctionNombreValeursInferieuresLimite
echo %CIBLE%.java
substitution5 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.java -r -sp2 -ns -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -mColorationJavaNames.txt -n%COLORNAMES% -mColorationJavaTypes.txt -n%COLORTYPES% -mColorationJavaInstructions.txt -n%COLORINSTR% -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=FonctionClassificationTableau
echo %CIBLE%.java
substitution5 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.java -r -sp2 -ns -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -mColorationJavaNames.txt -n%COLORNAMES% -mColorationJavaTypes.txt -n%COLORTYPES% -mColorationJavaInstructions.txt -n%COLORINSTR% -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=FonctionsGenerationTableau
echo %CIBLE%.java
substitution5 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.java -r -sp2 -ns -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -mColorationJavaNames.txt -n%COLORNAMES% -mColorationJavaTypes.txt -n%COLORTYPES% -mColorationJavaInstructions.txt -n%COLORINSTR% -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=FusionTableaux
echo %CIBLE%.java
substitution5 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.java -r -sp2 -ns -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -mColorationJavaNames.txt -n%COLORNAMES% -mColorationJavaTypes.txt -n%COLORTYPES% -mColorationJavaInstructions.txt -n%COLORINSTR% -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=TableauSommets2D
echo %CIBLE%.java
substitution5 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.java -r -sp2 -ns -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -mColorationJavaNames.txt -n%COLORNAMES% -mColorationJavaTypes.txt -n%COLORTYPES% -mColorationJavaInstructions.txt -n%COLORINSTR% -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=BarycentreNuageSommets3D
echo %CIBLE%.java
substitution5 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.java -r -sp2 -ns -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -mColorationJavaNames.txt -n%COLORNAMES% -mColorationJavaTypes.txt -n%COLORTYPES% -mColorationJavaInstructions.txt -n%COLORINSTR% -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=EchantillonFraisesTagada
echo %CIBLE%.java
substitution5 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.java -r -sp2 -ns -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -mColorationJavaNames.txt -n%COLORNAMES% -mColorationJavaTypes.txt -n%COLORTYPES% -mColorationJavaInstructions.txt -n%COLORINSTR% -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=CoefficientCorrelationLineaire
echo %CIBLE%.java
substitution5 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.java -r -sp2 -ns -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -mColorationJavaNames.txt -n%COLORNAMES% -mColorationJavaTypes.txt -n%COLORTYPES% -mColorationJavaInstructions.txt -n%COLORINSTR% -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=EnsembleDeChainesDeCaracteres
echo %CIBLE%.java
substitution5 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.java -r -sp2 -ns -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -mColorationJavaNames.txt -n%COLORNAMES% -mColorationJavaTypes.txt -n%COLORTYPES% -mColorationJavaInstructions.txt -n%COLORINSTR% -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=Cryptage
echo %CIBLE%.java
substitution5 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.java -r -sp2 -ns -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -mColorationJavaNames.txt -n%COLORNAMES% -mColorationJavaTypes.txt -n%COLORTYPES% -mColorationJavaInstructions.txt -n%COLORINSTR% -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

echo ------------------------------------------------------------

set SRCFILE=Default

set CIBLE=InitialisationTableauBoolean
echo %CIBLE%.lda
substitution4 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.lda -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -gColorationLDAExceptions.txt -h%COLORNAMES% -mColorationLDANames.txt -n%COLORNAMES% -mColorationLDATypes.txt -n%COLORTYPES% -mColorationLDAInstructions.txt -n%COLORINSTR% -c{-} -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=TableauFactoriels
echo %CIBLE%.lda
substitution4 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.lda -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -gColorationLDAExceptions.txt -h%COLORNAMES% -mColorationLDANames.txt -n%COLORNAMES% -mColorationLDATypes.txt -n%COLORTYPES% -mColorationLDAInstructions.txt -n%COLORINSTR% -c{-} -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=TableauLongueur
echo %CIBLE%.lda
substitution4 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.lda -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -gColorationLDAExceptions.txt -h%COLORNAMES% -mColorationLDANames.txt -n%COLORNAMES% -mColorationLDATypes.txt -n%COLORTYPES% -mColorationLDAInstructions.txt -n%COLORINSTR% -c{-} -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=TableauDamier
echo %CIBLE%.lda
substitution4 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.lda -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -gColorationLDAExceptions.txt -h%COLORNAMES% -mColorationLDANames.txt -n%COLORNAMES% -mColorationLDATypes.txt -n%COLORTYPES% -mColorationLDAInstructions.txt -n%COLORINSTR% -c{-} -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=PassageTableauEnParametre
echo %CIBLE%.lda
substitution4 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.lda -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -gColorationLDAExceptions.txt -h%COLORNAMES% -mColorationLDANames.txt -n%COLORNAMES% -mColorationLDATypes.txt -n%COLORTYPES% -mColorationLDAInstructions.txt -n%COLORINSTR% -c{-} -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=InitialisationTableauReel
echo %CIBLE%.lda
substitution4 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.lda -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -gColorationLDAExceptions.txt -h%COLORNAMES% -mColorationLDANames.txt -n%COLORNAMES% -mColorationLDATypes.txt -n%COLORTYPES% -mColorationLDAInstructions.txt -n%COLORINSTR% -c{-} -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=ValeurMinimaleTableauReel
echo %CIBLE%.lda
substitution4 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.lda -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -gColorationLDAExceptions.txt -h%COLORNAMES% -mColorationLDANames.txt -n%COLORNAMES% -mColorationLDATypes.txt -n%COLORTYPES% -mColorationLDAInstructions.txt -n%COLORINSTR% -c{-} -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=TableauPosition2D
echo %CIBLE%.lda
substitution4 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.lda -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -gColorationLDAExceptions.txt -h%COLORNAMES% -mColorationLDANames.txt -n%COLORNAMES% -mColorationLDATypes.txt -n%COLORTYPES% -mColorationLDAInstructions.txt -n%COLORINSTR% -c{-} -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=TableauPosition2DAvecFonctions
echo %CIBLE%.lda
substitution4 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.lda -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -gColorationLDAExceptions.txt -h%COLORNAMES% -mColorationLDANames.txt -n%COLORNAMES% -mColorationLDATypes.txt -n%COLORTYPES% -mColorationLDAInstructions.txt -n%COLORINSTR% -c{-} -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=TypeAgregeAvecTableau
echo %CIBLE%.lda
substitution4 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.lda -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -gColorationLDAExceptions.txt -h%COLORNAMES% -mColorationLDANames.txt -n%COLORNAMES% -mColorationLDATypes.txt -n%COLORTYPES% -mColorationLDAInstructions.txt -n%COLORINSTR% -c{-} -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

echo ------------------------------------------------------------

set SRCFILE=Default

set CIBLE=InitialisationTableauBoolean
echo %CIBLE%.java
substitution5 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.java -r -sp2 -ns -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -mColorationJavaNames.txt -n%COLORNAMES% -mColorationJavaTypes.txt -n%COLORTYPES% -mColorationJavaInstructions.txt -n%COLORINSTR% -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=TableauFactoriels
echo %CIBLE%.java
substitution5 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.java -r -sp2 -ns -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -mColorationJavaNames.txt -n%COLORNAMES% -mColorationJavaTypes.txt -n%COLORTYPES% -mColorationJavaInstructions.txt -n%COLORINSTR% -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=TableauFactorielsLong
echo %CIBLE%.java
substitution5 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.java -r -sp2 -ns -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -mColorationJavaNames.txt -n%COLORNAMES% -mColorationJavaTypes.txt -n%COLORTYPES% -mColorationJavaInstructions.txt -n%COLORINSTR% -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=TableauDamier
echo %CIBLE%.java
substitution5 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.java -r -sp2 -ns -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -mColorationJavaNames.txt -n%COLORNAMES% -mColorationJavaTypes.txt -n%COLORTYPES% -mColorationJavaInstructions.txt -n%COLORINSTR% -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=PassageTableauEnParametre
echo %CIBLE%.java
substitution5 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.java -r -sp2 -ns -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -mColorationJavaNames.txt -n%COLORNAMES% -mColorationJavaTypes.txt -n%COLORTYPES% -mColorationJavaInstructions.txt -n%COLORINSTR% -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=InitialisationTableauReel
echo %CIBLE%.java
substitution5 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.java -r -sp2 -ns -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -mColorationJavaNames.txt -n%COLORNAMES% -mColorationJavaTypes.txt -n%COLORTYPES% -mColorationJavaInstructions.txt -n%COLORINSTR% -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=ValeurMinimaleTableauReel
echo %CIBLE%.java
substitution5 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.java -r -sp2 -ns -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -mColorationJavaNames.txt -n%COLORNAMES% -mColorationJavaTypes.txt -n%COLORTYPES% -mColorationJavaInstructions.txt -n%COLORINSTR% -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=TypeAgregeAvecTableau
echo %CIBLE%.java
substitution5 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.java -r -sp2 -ns -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -mColorationJavaNames.txt -n%COLORNAMES% -mColorationJavaTypes.txt -n%COLORTYPES% -mColorationJavaInstructions.txt -n%COLORINSTR% -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=TableauPosition2D
echo %CIBLE%.java
substitution5 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.java -r -sp2 -ns -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -mColorationJavaNames.txt -n%COLORNAMES% -mColorationJavaTypes.txt -n%COLORTYPES% -mColorationJavaInstructions.txt -n%COLORINSTR% -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=TableauPosition2DAvecFonctions
echo %CIBLE%.java
substitution5 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.java -r -sp2 -ns -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -mColorationJavaNames.txt -n%COLORNAMES% -mColorationJavaTypes.txt -n%COLORTYPES% -mColorationJavaInstructions.txt -n%COLORINSTR% -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=AffectationEntreTableaux
echo %CIBLE%.java
substitution5 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.java -r -sp2 -ns -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -mColorationJavaNames.txt -n%COLORNAMES% -mColorationJavaTypes.txt -n%COLORTYPES% -mColorationJavaInstructions.txt -n%COLORINSTR% -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=TestEgaliteTableaux
echo %CIBLE%.java
substitution5 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.java -r -sp2 -ns -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -mColorationJavaNames.txt -n%COLORNAMES% -mColorationJavaTypes.txt -n%COLORTYPES% -mColorationJavaInstructions.txt -n%COLORINSTR% -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=AffectationEntreTableauxAvecFonctions
echo %CIBLE%.java
substitution5 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.java -r -sp2 -ns -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -mColorationJavaNames.txt -n%COLORNAMES% -mColorationJavaTypes.txt -n%COLORTYPES% -mColorationJavaInstructions.txt -n%COLORINSTR% -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=TestEgaliteTableauxAvecFonctions
echo %CIBLE%.java
substitution5 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.java -r -sp2 -ns -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -mColorationJavaNames.txt -n%COLORNAMES% -mColorationJavaTypes.txt -n%COLORTYPES% -mColorationJavaInstructions.txt -n%COLORINSTR% -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

echo ------------------------------------------------------------

pause

exit